Create a project
POST
/orgs/{organizationId}/projectsCreate a project using current organization authority.
AuthorizationBearer <token>
Scoped FishOut API key. Never send credentials in query parameters.
In: header
Path Parameters
organizationId*string
Length
1 <= lengthHeader Parameters
Idempotency-Key*string
Reuse for retries of the same action for 24 hours. A changed body returns 409.
Length
8 <= length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/orgs/string/projects" \ -H "Idempotency-Key: stringst" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "data": { "id": "string", "organizationId": "string", "name": "string", "createdAt": "2019-08-24T14:15:22Z", "brief": "string", "goal": "find_customers", "websiteUrl": "string", "features": { "sentiment": true, "language": true, "replyCall": true, "hideLowRelevance": true, "disabledLabels": [ "asking-for-recommendations" ], "property1": "string", "property2": "string" }, "ownAccounts": [ { "platform": "reddit", "handle": "string", "property1": "string", "property2": "string" } ], "voice": { "tone": "helpful", "linkPolicy": "allow", "signOff": "string", "property1": "string", "property2": "string" }, "relevanceThreshold": 0, "property1": "string", "property2": "string" }, "meta": { "requestId": "string", "replayed": true }}